#!/usr/bin/env bash
set -xeuo pipefail

export DOTNET_SYSTEM_GLOBALIZATION_INVARIANT=true

# Si le fichier de conf n'existe PAS encore, on copie l'exemple
if [ ! -f /app/data/slskd.yml ]; then
  echo "ℹ️ Copie de la config d'exemple dans /app/data/slskd.yml"
  cp /app/code/slskd.yml.example /app/data/slskd.yml
  chown cloudron:cloudron /app/data/slskd.yml
else
  echo "ℹ️ Utilisation de /app/data/slskd.yml (existant)"
fi

exec gosu cloudron /app/code/slskd \
  --config      /app/data/slskd.yml \
  --http-port   ${SLSKD_HTTP_PORT:-5030} \
  --https-port  ${SLSKD_HTTPS_PORT:-5031} \
  --listen-port ${SLSKD_SLSK_LISTEN_PORT:-50300}

